diff --git a/src/HDAA_fmt_plug.c b/src/HDAA_fmt_plug.c
index d1b455814b..6bcff508d4 100644
--- a/src/HDAA_fmt_plug.c
+++ b/src/HDAA_fmt_plug.c
@@ -29,6 +29,13 @@ john_register_one(&fmt_HDAA);
 #include "formats.h"
 #include "md5.h"
 
+#if ARCH_LITTLE_ENDIAN==0
+// For now, neuter this format from SIMD building.
+// Someone else can port to BE at a later date.
+#undef SIMD_COEF_32
+#undef SIMD_PARA_MD5
+#endif
+
 #include "simd-intrinsics.h"
 #define ALGORITHM_NAME			"MD5 " MD5_ALGORITHM_NAME
 
diff --git a/src/sapB_fmt_plug.c b/src/sapB_fmt_plug.c
index 2c34425873..b2d099c7fd 100644
--- a/src/sapB_fmt_plug.c
+++ b/src/sapB_fmt_plug.c
@@ -33,6 +33,13 @@ john_register_one(&fmt_sapB);
 #define FORMAT_LABEL			"sapb"
 #define FORMAT_NAME			"SAP CODVN B (BCODE)"
 
+#if ARCH_LITTLE_ENDIAN==0
+// For now, neuter this format from SIMD building.
+// Someone else can port to BE at a later date.
+#undef SIMD_COEF_32
+#undef SIMD_PARA_MD5
+#endif
+
 #ifdef SIMD_COEF_32
 #define NBKEYS				(SIMD_COEF_32 * SIMD_PARA_MD5)
 #endif
diff --git a/src/sapG_fmt_plug.c b/src/sapG_fmt_plug.c
index c7e89d366b..acdc73082b 100644
--- a/src/sapG_fmt_plug.c
+++ b/src/sapG_fmt_plug.c
@@ -24,6 +24,13 @@ john_register_one(&fmt_sapG);
 
 #include "arch.h"
 
+#if ARCH_LITTLE_ENDIAN==0
+// For now, neuter this format from SIMD building.
+// Someone else can port to BE at a later date.
+#undef SIMD_COEF_32
+#undef SIMD_PARA_SHA1
+#endif
+
 #ifdef SIMD_COEF_32
 #define NBKEYS	(SIMD_COEF_32 * SIMD_PARA_SHA1)
 #endif
diff --git a/src/sapH_fmt_plug.c b/src/sapH_fmt_plug.c
index b2fabe682c..386e87d8cd 100644
--- a/src/sapH_fmt_plug.c
+++ b/src/sapH_fmt_plug.c
@@ -36,6 +36,17 @@ john_register_one(&fmt_sapH);
 //#undef SIMD_COEF_64
 //#undef SIMD_PARA_SHA512
 
+#if ARCH_LITTLE_ENDIAN==0
+// For now, neuter this format from SIMD building.
+// Someone else can port to BE at a later date.
+#undef SIMD_COEF_32
+#undef SIMD_PARA_SHA1
+#undef SIMD_PARA_SHA256
+#undef SIMD_COEF_64
+#undef SIMD_PARA_SHA512
+#endif
+
+
 #include "misc.h"
 #include "common.h"
 #include "formats.h"
diff --git a/src/sunmd5_fmt_plug.c b/src/sunmd5_fmt_plug.c
index 1e328563b8..82c9f29f54 100644
--- a/src/sunmd5_fmt_plug.c
+++ b/src/sunmd5_fmt_plug.c
@@ -38,6 +38,14 @@ john_register_one(&fmt_sunmd5);
 #endif
 
 #include "arch.h"
+
+#if ARCH_LITTLE_ENDIAN==0
+// For now, neuter this format from SIMD building.
+// Someone else can port to BE at a later date.
+#undef SIMD_COEF_32
+#undef SIMD_PARA_MD5
+#endif
+
 #include "misc.h"
 #include "options.h"
 #include "misc.h"
